package org.acme.keyword;

import javax.ejb.CreateException;
import javax.ejb.EJBHome;
import javax.ejb.FinderException;
import java.rmi.RemoteException;


public interface KeywordHome extends EJBHome
{
    public Keyword create( String name )
        throws RemoteException, CreateException;
    
    public Keyword create( String name, String info )
        throws RemoteException, CreateException;
    
    public Keyword findByPrimaryKey( Integer id )
        throws RemoteException, FinderException;

    public Keyword findByName( String name )
        throws RemoteException, FinderException;
} 

/*
 * $Id: KeywordHome.java,v 1.1 2004/03/02 19:33:12 dwight Exp $
 * Copyright 2004, Dwight Shih
 */
